require 'spec_helper'

describe OmniAuth::Strategies::Sanderling do
  let(:request) { double('Request', params: {}, cookies: {}, env: {})}
  
  subject do
    args = ['appid', 'secret', @options || {}].compact
    OmniAuth::Strategies::Sanderling.new(*args).tap do |strategy|
      strategy.stub(:request) { request }
    end
  end
  
  describe 'client options' do
    it 'should have correct name' do
      expect(subject.options.name).to eq('sanderling')
    end
    
    it 'should have correct site' do
      expect(subject.options.client_options.site).to eq('https://sanderling.io')
    end
    
    it "should have correct authorize url" do
      expect(subject.options.client_options.authorize_url).to eq("https://sanderling.io/oauth/authorize")
    end
    
    
  end
  
end